"""Add Settlements

Revision ID: 491bb980d1d7
Revises: de101d627237
Create Date: 2018-08-22 22:37:49.467438

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "491bb980d1d7"
down_revision = "de101d627237"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "settlements",
        sa.Column("settlement_id", sa.Integer, primary_key=True),
        sa.Column("name", sa.String, nullable=False),
    )

    op.add_column(
        "consumptions",
        sa.Column(
            "settlement_id",
            sa.Integer,
            sa.ForeignKey("settlements.settlement_id"),
            nullable=True,
        ),
    )


def downgrade():
    op.drop_column("consumptions", "settlement_id")

    op.drop_table("settlements")
